{% extends "base.html" %} {% load static %} {% block css %} {% endblock css %} {% block title %}
<h1> Bienvenido Alumno</h1>
{% endblock title %} {% block content %}

<div class="container-fluid row animated fadeIn">
    <div class="col-sm-2 col-md-2">
        <div class="card">
            <header class="card-heading card-yellow">
                <h2 class="card-title">
                    <i class="zmdi zmdi-calendar"></i> Semana</h2>
            </header>
            <div style="vertical-align: middle;font-size: 330%;margin-top: -43px; " class="card-body text-center">
                <p style="height: 55px;margin-top:  30px;">{{ current_session }}</p>
            </div>
        </div>
    </div>
    <div class="col-sm-5 col-md-5">
        <div class="card">
            <header class="card-heading card-purple">
                <h2 class="card-title">
                    <i class="zmdi zmdi-file-text"></i> Resumen</h2>
            </header>
            <div class="card-body">
                <h2>
                    <i class="zmdi zmdi-paste"></i>
                    Proyecto: {% if project_name != None %} {{ project_name }}
                    <input value=1 id="tiene_proyecto" style="display:none;" type="text"> {% else %}
                    <div id="postular"></div>
                    Sin proyecto asignado
                    <input value=0 id="tiene_proyecto" style="display:none;" type="text"> {% endif %}
                </h2>
                <h2>
                    <i class="zmdi zmdi-account"></i>
                    Profesor Guía: {% if project_teacher_name != None %} {{ project_teacher_name }} {% else %} Sin profesor asignado {% endif %}
                </h2>
            </div>
        </div>
    </div>
    <div class="col-sm-5 col-md-5">
        <div class="card">
            <header class="card-heading card-purple">
                <h2 class="card-title">
                    <i class="zmdi zmdi-file-text"></i> Reunión</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    {% if minuta_val == None %}
                    <div class="col-md-8 col-xs-8">
                        <p>No tienes reuniones pendientes hasta el momento</p>
                    </div>
                    {% elif minuta_val.validation_status == "PE" %}
                    <div class="col-md-8 col-xs-8" id="blockValidation">
                        <p><strong>Comentario: </strong>{{ minuta_val.minuta.reunion_theme }}</p>
                        <p><strong>Proyecto: </strong>{{ minuta_val.minuta.project }}</p>
                        <p><strong>Fecha de reunión: </strong>{{ minuta_val.minuta.reunion_date }}</p>
                        <button class="btn btn-green btn-sm" id="acepto" data-validationpk="{{minuta_val.pk}}"><i class="zmdi zmdi-check"></i> Aceptar</button>
                        <button data-toggle="modal" data-target="#Modal_Minuta" data-validationpk="{{minuta_val.pk}}" class='btn btn-danger btn-sm'><i class="zmdi zmdi-block"></i> Rechazar</button>
                    </div>
                    {% elif minuta_val.validation_status != "PE" %}
                    <div class="col-md-8 col-xs-8" id="blockValidation">
                        <p>No tienes reuniones hasta el momento</p>
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid row animated fadeIn">
    <div class="col-md-6 col-sm-6 col-xs-6">
        <div class="card ">
            <header style="background-color :#ed5565;" class="card-heading">
                <h2 style="color: white" class="card-title">
                    <i class="zmdi zmdi-email"></i> Últimos mensajes </h2>
            </header>
            <div class="card-body" style="height: 250px; overflow: auto;">
                <ul class="list-group">
                    {% for messages in latest_messages %}
                    <li class="list-group-item ">
                        <span class="pull-left"><img src="{% if messages.author %}{{ messages.author.img.url }}{% elif messages.author_s %}{{messages.author_s.img.url}}{% else %}{% static 'img/profiles/image.png' %}{% endif %}" alt="" class="img-circle max-w-40 m-r-10"></span>
                        <div class="list-group-item-body">
                            <div class="list-group-item-heading">De: {% if messages.author %}{{ messages.author }}{% elif messages.author_s %}{{messages.author_s}}{% else %}Sistema {% endif %}</div>
                            <div class="list-group-item-text">{{ messages.description|safe|truncatechars:120}}{% if messages.description|length >= 120 %}...{% endif %}</div>
                        </div>
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>

    <div class=" col-md-6 col-sm-6 col-xs-6">
        <div class="card ">
            <header style="background-color:#1c84c6" class="card-heading">
                <h2 style="color: white" class="card-title">
                    <i class="zmdi zmdi-book"></i> Estado de mis últimas bitácora</h2>
            </header>
            <div class="card-body" style="height: 250px; overflow: auto;">
                <ul class="list-group ">
                    <li class="list-group-item ">
                        <div class="list-group-item-body">
                            <div class="list-group-item-heading">Sin información</div>
                            <div class="list-group-item-text">-</div>
                        </div>
                    </li>

                </ul>
            </div>
        </div>
    </div>
</div>

<!-- <div class="container-fluid row animated fadeIn">
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
        <div class="card">
            <header style="background-color:#1c84c6" class="card-heading">
                <h2 style="color: white" class="card-title">Bitácoras</h2>
            </header>
            <div class="card-body">
                <canvas id="lineChart_alum_alum"></canvas>
            </div>
        </div>
    </div>
</div> -->

<!-- modal block  -->
<div class="modal fade" id="Modal_Minuta" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" style="width:70%" role="document">
    <div class="modal-content">
      <div class="modal-header">
          <h2 style="color:white;" class="text-center">Comentario de rechazo</h2>
      </div>
      <div class="modal-body">
        <div class="row">
           <div class="col-md-12">
               <input type="text" id="validationpk" style="display:none;">
                <div class="form-group">
                    <label class="control-label" for="item">Comentario</label>
                    <textarea class="form-control" rows="12" id="comment"></textarea><span>Explique las razones por las cuales no puede asistir a la reunión, estas no son vinculantes con respecto a la cancelación de la reunión.</span>
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
           <div class="row">
                <div class="col-md-8">
                    <button type="button" id="rechazar" class="btn btn-green"><i class="zmdi zmdi-check"></i> Comentar</button>
                    <button type="button left" class="btn btn-danger" data-dismiss="modal"><i class="zmdi zmdi-cancel"></i> Cancelar</button>
                </div>
           </div>
      </div>
    </div>
  </div>
</div>
<!-- end modal block -->

{% endblock content %} {% block javascript %}
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="https://unpkg.com/promise-polyfill"></script>
<script>

    $(document).ready(function () {

        var linechart_bitacora_alum = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };

        $('#Modal_Minuta').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget)
            var pk_validation = button.data('validationpk');

            $("#rechazar").data("validationpk", pk_validation);

        });

        $("#rechazar").click(function(){
            var pk_validation = $(this).data('validationpk');
            var comment = $("#comment").val();
            var data = {
                pk_validation: pk_validation,
                comment: comment,
                status: "RE",
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };

            $.ajax({
                url: '{% url "update_validation" %}',
                data: data,
                type: 'POST',
                success:function(result){
                    swal("Éxito!","La solicutud de reunión ha sido actualizada correctamente.","success")
                    .then((value) => {
                        $("#blockValidation").remove();
                        $("#agendar_modal").modal("toggle");
                        window.location.reload();
                    });
                },
                error:function(){
                    swal("Error!","Contacte a su administrador.","warning")
                }
            });

        });

        $("#acepto").click(function(){
            // console.log("click")
            var pk_validation = $(this).data("validationpk");
            var data = {
                pk_validation: pk_validation,
                status: "AP",
                csrfmiddlewaretoken: "{{csrf_token}}"
            }

            // console.log(data);

            $.ajax({
                url: '{% url "update_validation" %}',
                data: data,
                type: 'POST',
                success:function(result){
                    swal("Éxito!","La solicitud de reunión ha sido actualizada correctamente.","success")
                    .then((value) => {
                        $("#blockValidation").remove();
                        window.location.reload();
                    });
                },
                error:function(){
                    swal("Error!","Contacte a su administrador.","warning")
                }
            });
        });



        var lineOptions = {
            responsive: true
        };

        var ctx = document.getElementById("lineChart_alum_alum").getContext("2d");
        new Chart(ctx, { type: 'line', data: linechart_bitacora_alum, options: lineOptions });


        if($("#tiene_proyecto").val() == 0){
            swal({
                title: "Hemos detectado que no tienes un proyecto asociado",
                text: "¿Quieres postular a uno ? ",
                icon: "warning",
                buttons: {
                  cancel: "Cancelar",
                  roll: {
                    text: "Postular",
                      value: "post",
                      confirm: "true",
                  },
                },
              }).then((value) => {
                    switch (value) {

                      case "post":
                        window.location.href = 'http://127.0.0.1:8080/dashboard/postulate/';
                        break;

                    }
                  });
        }

    });

</script> {% endblock javascript %}
